AnonSec Shell
Server IP : 85.193.89.191  /  Your IP : 3.145.85.60
Web Server : Apache
System : Linux 956367-cx40159.tmweb.ru 3.10.0-1160.105.1.el7.x86_64 #1 SMP Thu Dec 7 15:39:45 UTC 2023 x86_64
User : bitrix ( 600)
PHP Version : 8.1.27
Disable Function : NONE
MySQL : OFF  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /proc/981/cwd/usr/libexec/linux-boot-probes/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     

Current File : /proc/981/cwd/usr/libexec/linux-boot-probes/50mounted-tests
#!/bin/sh
# Sub-tests that require a mounted partition.
. /usr/share/os-prober/common.sh
set -e

partition="$1"

types="$(fs_type "$partition")" || types=NOT-DETECTED
if [ "$types" = NOT-DETECTED ]; then
	debug "$1 type not recognised; skipping"
	exit 0
elif [ "$types" = swap ]; then
	debug "$1 is a swap partition; skipping"
	exit 0
elif [ "$types" = crypto_LUKS ]; then
	debug "$1 is a LUKS partition; skipping"
	exit 0
elif [ "$types" = ntfs ]; then
	if type ntfs-3g >/dev/null 2>&1; then
		types='ntfs-3g ntfs'
	fi
elif [ -z "$types" ]; then
	if is_dos_extended_partition "$partition"; then
		debug "$1 looks like an extended dos partition; skipping"
		exit 0
	fi
	if type cryptsetup >/dev/null 2>&1 && \
	   cryptsetup luksDump "$partition" >/dev/null 2>&1; then
		debug "$1 is a LUKS partition; skipping"
		exit 0
	fi
	types="$(grep -v nodev /proc/filesystems)"
fi

tmpmnt=/var/lib/os-prober/mount
if [ ! -d "$tmpmnt" ]; then
	mkdir "$tmpmnt"
fi

mounted=
if type grub-mount >/dev/null 2>&1 && \
   type grub2-probe >/dev/null 2>&1 && \
   grub-mount "$partition" "$tmpmnt" 2>/dev/null; then
	mounted=1
	type="$(grub2-probe -d "$partition" -t fs)"
	[ "$type" ] || type=fuseblk
else
	ro_partition "$partition"
	for type in $types; do
		if mount -o ro -t "$type" "$partition" "$tmpmnt" 2>/dev/null; then
			mounted=1
			break
		fi
	done
fi

if [ "$mounted" ]; then
	linux_mount_boot "$partition" "$tmpmnt"
	bootpart="${mountboot%% *}"
	mounted="${mountboot#* }"

	for test in /usr/libexec/linux-boot-probes/mounted/*; do
		if [ -f "$test" ] && [ -x "$test" ]; then
			debug "running $test $partition $bootpart $tmpmnt $type"
			if $test "$partition" "$bootpart" "$tmpmnt" "$type"; then
				debug "$test succeeded"
				umount "$tmpmnt/boot" 2>/dev/null || true 	
				if ! umount "$tmpmnt"; then
					warn "failed to umount $tmpmnt"
				fi
				rmdir "$tmpmnt" || true
				exit 0
			fi
		fi
	done

	umount "$tmpmnt/boot" 2>/dev/null || true 	
	if ! umount "$tmpmnt"; then
		warn "failed to umount $tmpmnt"
	fi
fi

rmdir "$tmpmnt" || true

# No tests found anything.
exit 1

Anon7 - 2022
AnonSec Team